<!-- Filters -->
<form novalidate [formGroup]="filterMapForm" (ngSubmit)="onSubmitFilterMapForm()" class="form form-horizontal form-bordered w-100 filters">
    <div class="row">
        <div class="col-xs-12 col-sm-3 pl-xs-1 pl-xs-1 pr-1">
          <ng-select [items]="catalogUserStatuses" bindLabel="label" bindValue="value" placeholder="{{ 'forms.fields.userClasification' | translate}}" clearAllText="Clear" [multiple]="false" formControlName="status" [notFoundText]="'forms.messages.noResults' | translate" class="dashboard"></ng-select>
        </div>
        <div class="col-xs-12 col-sm-3 pl-xs-1 pl-xs-1 pr-1">
          <button type="submit" class="btn btn-filter font-small-2 px-5 mt-1">{{ 'forms.buttons.filter' | translate}}</button>
        </div>
    </div>
</form>

<div class="mt-3">
  <app-map [filters]="filtersMap" [heatmap]="heatmap" [showLoader]="showLoader" [markers]="markers" [latitude]="mapLat" [longitude]="mapLng" [zoom]="mapZoom" (boundsChange)="onBoundsChange($event)" (changeFilter)="changeMapFilters($event)"></app-map>
</div>

<div clfass="my-3">
    <app-table-filters [filters]="tableFilters" (submitFilters)="onSubmitFilters($event)" (resetFilter)="onSubmitFilters($event)"></app-table-filters>

    <ngb-tabset [justify]="'start'" [class]="'list mt-2 d-block'">
        <ngb-tab>
          <ng-template ngbTabTitle>
            <i class='fas fa-list font-small-3'></i>
          </ng-template>
          <ng-template ngbTabContent>
            <app-table-layout *ngIf="results" (clickView)="goToProfile($event)" (clickEdit)="edit($event)" [records]="results.data['rows']" [tableActions]="tableActions" [columnSettings]="columnSettings" [showButtonAdd]="false" [perPage]="10" [totalRecords]="0" [pageNumber]="1">
              <button class="btn btn-sm btn-raised btn-secondary text-white float-right font-small-2 cursor-pointer py-1 my-1" disabled>{{ 'forms.buttons.export' | translate }} <i class="fas fa-download text-white pl-1"></i></button>
            </app-table-layout>
          </ng-template>
        </ngb-tab>
        <ngb-tab>
          <ng-template ngbTabTitle>
            <i class='fas fa-id-card font-small-3'></i>
          </ng-template>
          <ng-template ngbTabContent>
            <app-list-card-colaborator *ngIf="results" [records]="results.data['rows']" [perPage]="results.data['metadata'].pageSize" [totalRecords]="results.data['metadata'].pageSize" [pageNumber]="results.data['metadata'].currentPage" (changePage)="updateList($event)"></app-list-card-colaborator>
          </ng-template>
        </ngb-tab>
    </ngb-tabset>
</div>